.auth {
    color: #000000;
}
.auth__modal-header {
    border-bottom: none !important;
    padding-bottom: 0 !important;
    margin-bottom: 0 !important;
}
.auth .auth__modal-dialog .auth__close {
    right: -22px;
    top: -43px;
    text-shadow: none; 
    opacity: .8; 
}
.auth__close:before, .auth__close:after {
    background: #000 !important;
    width: 20px !important;
    height: 3px !important;
}
.auth__modal-dialog {
    width: 417px !important;
}
.auth .auth__modal-dialog .auth__modal-content {
    padding: 58px 40px 40px 40px;
}
.auth__modal-body {
    margin: 0 !important;
    padding-bottom: 10px !important;
}
.auth__form-wrapper {
    margin-top: 20px;
}
.auth__headline{
    font-size: 22px !important;
    line-height: 27px !important;
    margin-top: 0px;
}
.auth__sub-headline {
    margin-top: 10px;
    font-size: 14px;
    line-height: 17px;
}
.auth__input-holder {
    margin-top: 10px;
}
.auth__input-label {
    font-style: normal;
    font-weight: normal;
    font-size: 14px !important;
    line-height: 18px !important;
}
.auth__input {
    border: 1px solid #CACACA !important;
    margin-top: 10px !important;
    height: 48px !important;
    font-size: 18px !important;
}
.auth__btn, .auth__resend-btn {
    font-size: 18px;
    margin-top:20px;
    min-width: 150px;
}
.auth__btn.has-spinner.active {
  min-width: 150px;
}
.auth__submit:hover {
    background-color: #0072bb;
}
.auth__step {
    display: none;
    height: 100%;
}
.auth__step.active {
    display: block;
}
.auth__codes {
    display: flex;
    justify-content: space-between;
}
.auth__form-codes {
    margin-top: 30px;
}
.auth__code {    
    width: 65px !important;
    height: 60px !important;
    border: 1px solid #CACACA !important;
    font-size: 24px !important;
    line-height: 29px;
    text-align: center !important;
}
.auth__code:focus{
    border: 1px solid #1B3D76 !important;
}
.auth__by-email {
    display: block;
    margin-top: 30px;
    text-align: center;
    color: #47567F !important;
    font-size: 14px !important;
    line-height: 17px !important;
}
.auth__allowed-in {
    margin-top: 20px;
    font-size: 17px;
    line-height: 18px;
    text-align: center;
}
.auth__text-success {
    color: #1B3D76;
    text-align: center;
    margin-top: 10px;
}
.auth__change-number {
    color: #1B3D76 !important;
}
.auth__warning {
    margin-top: 22px;
}

@media (max-width: 500px){
    .auth__modal-dialog {
        width: auto !important;
    }
    .auth .auth__modal-dialog .auth__modal-content {
        padding: 38px 20px 30px 20px !important;
    }
    .auth .auth__modal-dialog .auth__close {
        right: -10px !important;
        top: -28px !important;
    }
}

.success-checkmark {
  width: 80px;
  height: 115px;
  margin: 0 auto;
}
.success-checkmark .check-icon {
  width: 80px;
  height: 80px;
  position: relative;
  border-radius: 50%;
  box-sizing: content-box;
  border: 4px solid #1B3D76;
}
.success-checkmark .check-icon::before {
  top: 3px;
  left: -2px;
  width: 30px;
  transform-origin: 100% 50%;
  border-radius: 100px 0 0 100px;
}
.success-checkmark .check-icon::after {
  top: 0;
  left: 30px;
  width: 60px;
  transform-origin: 0 50%;
  border-radius: 0 100px 100px 0;
  animation: rotate-circle 4.25s ease-in;
}
.success-checkmark .check-icon::before, .success-checkmark .check-icon::after {
  content: '';
  height: 100px;
  position: absolute;
  background: #FFFFFF;
  transform: rotate(-45deg);
}
.success-checkmark .check-icon .icon-line {
  height: 5px;
  background-color: #1B3D76;
  display: block;
  border-radius: 2px;
  position: absolute;
  z-index: 10;
}
.success-checkmark .check-icon .icon-line.line-tip {
  top: 46px;
  left: 14px;
  width: 25px;
  transform: rotate(45deg);
  animation: icon-line-tip 0.75s;
}
.success-checkmark .check-icon .icon-line.line-long {
  top: 38px;
  right: 8px;
  width: 47px;
  transform: rotate(-45deg);
  animation: icon-line-long 0.75s;
}
.success-checkmark .check-icon .icon-circle {
  top: -4px;
  left: -4px;
  z-index: 10;
  width: 80px;
  height: 80px;
  border-radius: 50%;
  position: absolute;
  box-sizing: content-box;
  border: 4px solid rgba(27, 61, 118, 0.5);
}
.success-checkmark .check-icon .icon-fix {
  top: 8px;
  width: 5px;
  left: 26px;
  z-index: 1;
  height: 85px;
  position: absolute;
  transform: rotate(-45deg);
  background-color: #FFFFFF;
}

@keyframes rotate-circle {
  0% {
    transform: rotate(-45deg);
  }
  5% {
    transform: rotate(-45deg);
  }
  12% {
    transform: rotate(-405deg);
  }
  100% {
    transform: rotate(-405deg);
  }
}
@keyframes icon-line-tip {
  0% {
    width: 0;
    left: 1px;
    top: 19px;
  }
  54% {
    width: 0;
    left: 1px;
    top: 19px;
  }
  70% {
    width: 50px;
    left: -8px;
    top: 37px;
  }
  84% {
    width: 17px;
    left: 21px;
    top: 48px;
  }
  100% {
    width: 25px;
    left: 14px;
    top: 45px;
  }
}
@keyframes icon-line-long {
  0% {
    width: 0;
    right: 46px;
    top: 54px;
  }
  65% {
    width: 0;
    right: 46px;
    top: 54px;
  }
  84% {
    width: 55px;
    right: 0px;
    top: 35px;
  }
  100% {
    width: 47px;
    right: 8px;
    top: 38px;
  }
}
